---
title: Get logs and status from instance
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Workflows](https://developers.cloudflare.com/api/go/resources/workflows)

[Instances](https://developers.cloudflare.com/api/go/resources/workflows/subresources/instances)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get logs and status from instance

client.Workflows.Instances.Get(ctx, workflowName, instanceID, params) (\*[InstanceGetResponse](<https://developers.cloudflare.com/api/go/resources/workflows#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/workflows/{workflow\_name}/instances/{instance\_id}

Retrieves logs and execution status for a specific workflow instance.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers Tail Read``Workers Scripts Write``Workers Scripts Read`

##### ParametersExpand Collapse

workflowName string

maxLength64

minLength1

[Link to this property](<#(resource)%20workflows.instances%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20workflow_name%20%3E%20(schema)>)

instanceID string

maxLength271

minLength1

[Link to this property](<#(resource)%20workflows.instances%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20instance_id%20%3E%20(schema)>)

<details>

<summary>

params InstanceGetParams

</summary>

AccountID param.Field\[string]

Path param

<a href="#(resource)%20workflows.instances%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

<details>

<summary>

Order param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/workflows/subresources/instances/methods/get#(resource)%20workflows.instances%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)">InstanceGetParamsOrder</a>]Optional

Query param: Step ordering: “asc” (default, oldest first) or “desc” (newest first).

</summary>

const InstanceGetParamsOrderAsc <a href="https://developers.cloudflare.com/api/go/resources/workflows/subresources/instances/methods/get#(resource)%20workflows.instances%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)">InstanceGetParamsOrder</a> = "asc"

<a href="#(resource)%20workflows.instances%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const InstanceGetParamsOrderDesc <a href="https://developers.cloudflare.com/api/go/resources/workflows/subresources/instances/methods/get#(resource)%20workflows.instances%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)">InstanceGetParamsOrder</a> = "desc"

<a href="#(resource)%20workflows.instances%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20order">Link to this property</a>

<details>

<summary>

Simple param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/workflows/subresources/instances/methods/get#(resource)%20workflows.instances%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20simple%20%3E%20(schema)">InstanceGetParamsSimple</a>]Optional

Query param: When true, omits step details and returns only metadata with step\_count.

</summary>

const InstanceGetParamsSimpleTrue <a href="https://developers.cloudflare.com/api/go/resources/workflows/subresources/instances/methods/get#(resource)%20workflows.instances%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20simple%20%3E%20(schema)">InstanceGetParamsSimple</a> = "true"

<a href="#(resource)%20workflows.instances%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20simple%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const InstanceGetParamsSimpleFalse <a href="https://developers.cloudflare.com/api/go/resources/workflows/subresources/instances/methods/get#(resource)%20workflows.instances%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20simple%20%3E%20(schema)">InstanceGetParamsSimple</a> = "false"

<a href="#(resource)%20workflows.instances%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20simple%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20simple">Link to this property</a>

</details>

[Link to this property](<#(resource)%20workflows.instances%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type InstanceGetResponse struct{…}

</summary>

End Time

formatdate-time

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20end">Link to this property</a>

<details>

<summary>

Error InstanceGetResponseError

</summary>

Message string

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20error%20%3E%20(property)%20message">Link to this property</a>

Name string

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20error%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20error">Link to this property</a>

<details>

<summary>

Output InstanceGetResponseOutputUnion

</summary>

One of the following:

UnionString

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20output%20%3E%20(variant)%200">Link to this property</a>

UnionFloat

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20output%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20output">Link to this property</a>

Params unknown

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20params">Link to this property</a>

Queued Time

formatdate-time

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20queued">Link to this property</a>

<details>

<summary>

Rollback InstanceGetResponseRollback

</summary>

<details>

<summary>

Error InstanceGetResponseRollbackError

</summary>

Message string

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20rollback%20%3E%20(property)%20error%20%3E%20(property)%20message">Link to this property</a>

Name string

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20rollback%20%3E%20(property)%20error%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20rollback%20%3E%20(property)%20error">Link to this property</a>

<details>

<summary>

Outcome InstanceGetResponseRollbackOutcome

</summary>

One of the following:

const InstanceGetResponseRollbackOutcomeComplete InstanceGetResponseRollbackOutcome = "complete"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20rollback%20%3E%20(property)%20outcome%20%3E%20(member)%200">Link to this property</a>

const InstanceGetResponseRollbackOutcomeFailed InstanceGetResponseRollbackOutcome = "failed"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20rollback%20%3E%20(property)%20outcome%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20rollback%20%3E%20(property)%20outcome">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20rollback">Link to this property</a>

Start Time

formatdate-time

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20start">Link to this property</a>

<details>

<summary>

Status InstanceGetResponseStatus

</summary>

One of the following:

const InstanceGetResponseStatusQueued InstanceGetResponseStatus = "queued"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

const InstanceGetResponseStatusRunning InstanceGetResponseStatus = "running"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

const InstanceGetResponseStatusPaused InstanceGetResponseStatus = "paused"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

const InstanceGetResponseStatusErrored InstanceGetResponseStatus = "errored"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%203">Link to this property</a>

const InstanceGetResponseStatusTerminated InstanceGetResponseStatus = "terminated"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%204">Link to this property</a>

const InstanceGetResponseStatusComplete InstanceGetResponseStatus = "complete"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%205">Link to this property</a>

const InstanceGetResponseStatusWaitingForPause InstanceGetResponseStatus = "waitingForPause"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%206">Link to this property</a>

const InstanceGetResponseStatusWaiting InstanceGetResponseStatus = "waiting"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%207">Link to this property</a>

const InstanceGetResponseStatusRollingBack InstanceGetResponseStatus = "rollingBack"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%208">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

StepCount int64

maximum9007199254740991

minimum-9007199254740991

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20step_count">Link to this property</a>

<details>

<summary>

Steps \[]InstanceGetResponseStep

</summary>

One of the following:

<details>

<summary>

type InstanceGetResponseStepsObject struct{…}

</summary>

<details>

<summary>

Attempts \[]InstanceGetResponseStepsObjectAttempt

</summary>

End Time

formatdate-time

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20attempts%20%3E%20(items)%20%3E%20(property)%20end">Link to this property</a>

<details>

<summary>

Error InstanceGetResponseStepsObjectAttemptsError

</summary>

Message string

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20attempts%20%3E%20(items)%20%3E%20(property)%20error%20%3E%20(property)%20message">Link to this property</a>

Name string

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20attempts%20%3E%20(items)%20%3E%20(property)%20error%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20attempts%20%3E%20(items)%20%3E%20(property)%20error">Link to this property</a>

Start Time

formatdate-time

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20attempts%20%3E%20(items)%20%3E%20(property)%20start">Link to this property</a>

Success bool

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20attempts%20%3E%20(items)%20%3E%20(property)%20success">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20attempts">Link to this property</a>

<details>

<summary>

Config InstanceGetResponseStepsObjectConfig

</summary>

<details>

<summary>

Retries InstanceGetResponseStepsObjectConfigRetries

</summary>

<details>

<summary>

Delay InstanceGetResponseStepsObjectConfigRetriesDelayUnion

Specifies the delay duration. The value ‘\[dynamic]’ means that a user-supplied function computes the delay.

</summary>

One of the following:

UnionString

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20config%20%3E%20(property)%20retries%20%3E%20(property)%20delay%20%3E%20(variant)%200">Link to this property</a>

UnionFloat

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20config%20%3E%20(property)%20retries%20%3E%20(property)%20delay%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20config%20%3E%20(property)%20retries%20%3E%20(property)%20delay">Link to this property</a>

Limit float64

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20config%20%3E%20(property)%20retries%20%3E%20(property)%20limit">Link to this property</a>

<details>

<summary>

Backoff InstanceGetResponseStepsObjectConfigRetriesBackoffOptional

</summary>

One of the following:

const InstanceGetResponseStepsObjectConfigRetriesBackoffConstant InstanceGetResponseStepsObjectConfigRetriesBackoff = "constant"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20config%20%3E%20(property)%20retries%20%3E%20(property)%20backoff%20%3E%20(member)%200">Link to this property</a>

const InstanceGetResponseStepsObjectConfigRetriesBackoffLinear InstanceGetResponseStepsObjectConfigRetriesBackoff = "linear"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20config%20%3E%20(property)%20retries%20%3E%20(property)%20backoff%20%3E%20(member)%201">Link to this property</a>

const InstanceGetResponseStepsObjectConfigRetriesBackoffExponential InstanceGetResponseStepsObjectConfigRetriesBackoff = "exponential"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20config%20%3E%20(property)%20retries%20%3E%20(property)%20backoff%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20config%20%3E%20(property)%20retries%20%3E%20(property)%20backoff">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20config%20%3E%20(property)%20retries">Link to this property</a>

<details>

<summary>

Timeout InstanceGetResponseStepsObjectConfigTimeoutUnion

Specifies the timeout duration.

</summary>

One of the following:

UnionString

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20config%20%3E%20(property)%20timeout%20%3E%20(variant)%200">Link to this property</a>

UnionFloat

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20config%20%3E%20(property)%20timeout%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20config%20%3E%20(property)%20timeout">Link to this property</a>

Sensitive InstanceGetResponseStepsObjectConfigSensitiveOptional

When set to ‘output’, step output is redacted from log and step output responses.

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20config%20%3E%20(property)%20sensitive">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20config">Link to this property</a>

End Time

formatdate-time

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20end">Link to this property</a>

Name string

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20name">Link to this property</a>

Output string

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20output">Link to this property</a>

Start Time

formatdate-time

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20start">Link to this property</a>

Success bool

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20success">Link to this property</a>

<details>

<summary>

Type InstanceGetResponseStepsObjectType

</summary>

One of the following:

const InstanceGetResponseStepsObjectTypeStep InstanceGetResponseStepsObjectType = "step"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

const InstanceGetResponseStepsObjectTypeRollback InstanceGetResponseStepsObjectType = "rollback"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

type InstanceGetResponseStepsObject struct{…}

</summary>

End Time

formatdate-time

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%201%20%3E%20(property)%20end">Link to this property</a>

<details>

<summary>

Error InstanceGetResponseStepsObjectError

</summary>

Message string

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%201%20%3E%20(property)%20error%20%3E%20(property)%20message">Link to this property</a>

Name string

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%201%20%3E%20(property)%20error%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%201%20%3E%20(property)%20error">Link to this property</a>

Finished bool

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%201%20%3E%20(property)%20finished">Link to this property</a>

Name string

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%201%20%3E%20(property)%20name">Link to this property</a>

Start Time

formatdate-time

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%201%20%3E%20(property)%20start">Link to this property</a>

Type InstanceGetResponseStepsObjectType

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%201%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%201">Link to this property</a>

<details>

<summary>

type InstanceGetResponseStepsObject struct{…}

</summary>

<details>

<summary>

Trigger InstanceGetResponseStepsObjectTrigger

</summary>

Source string

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%202%20%3E%20(property)%20trigger%20%3E%20(property)%20source">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%202%20%3E%20(property)%20trigger">Link to this property</a>

Type InstanceGetResponseStepsObjectType

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%202%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%202">Link to this property</a>

<details>

<summary>

type InstanceGetResponseStepsObject struct{…}

</summary>

End Time

formatdate-time

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%203%20%3E%20(property)%20end">Link to this property</a>

<details>

<summary>

Error InstanceGetResponseStepsObjectError

</summary>

Message string

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%203%20%3E%20(property)%20error%20%3E%20(property)%20message">Link to this property</a>

Name string

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%203%20%3E%20(property)%20error%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%203%20%3E%20(property)%20error">Link to this property</a>

Finished bool

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%203%20%3E%20(property)%20finished">Link to this property</a>

Name string

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%203%20%3E%20(property)%20name">Link to this property</a>

Start Time

formatdate-time

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%203%20%3E%20(property)%20start">Link to this property</a>

Type InstanceGetResponseStepsObjectType

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%203%20%3E%20(property)%20type">Link to this property</a>

EventType stringOptional

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%203%20%3E%20(property)%20event_type">Link to this property</a>

Output stringOptional

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%203%20%3E%20(property)%20output">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(variant)%203">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20steps">Link to this property</a>

Success bool

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

<details>

<summary>

Trigger InstanceGetResponseTrigger

</summary>

<details>

<summary>

Source InstanceGetResponseTriggerSource

</summary>

One of the following:

const InstanceGetResponseTriggerSourceUnknown InstanceGetResponseTriggerSource = "unknown"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20trigger%20%3E%20(property)%20source%20%3E%20(member)%200">Link to this property</a>

const InstanceGetResponseTriggerSourceAPI InstanceGetResponseTriggerSource = "api"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20trigger%20%3E%20(property)%20source%20%3E%20(member)%201">Link to this property</a>

const InstanceGetResponseTriggerSourceBinding InstanceGetResponseTriggerSource = "binding"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20trigger%20%3E%20(property)%20source%20%3E%20(member)%202">Link to this property</a>

const InstanceGetResponseTriggerSourceEvent InstanceGetResponseTriggerSource = "event"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20trigger%20%3E%20(property)%20source%20%3E%20(member)%203">Link to this property</a>

const InstanceGetResponseTriggerSourceCron InstanceGetResponseTriggerSource = "cron"

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20trigger%20%3E%20(property)%20source%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20trigger%20%3E%20(property)%20source">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20trigger">Link to this property</a>

VersionID string

formatuuid

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20versionId">Link to this property</a>

<details>

<summary>

Schedule InstanceGetResponseScheduleOptional

</summary>

Cron string

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20schedule%20%3E%20(property)%20cron">Link to this property</a>

ScheduledTime float64

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20schedule%20%3E%20(property)%20scheduledTime">Link to this property</a>

</details>

<a href="#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)%20%3E%20(property)%20schedule">Link to this property</a>

</details>

[Link to this property](<#(resource)%20workflows.instances%20%3E%20(model)%20InstanceGetResponse%20%3E%20(schema)>)

### Get logs and status from instance

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/workflows"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  instance, err := client.Workflows.Instances.Get(
    context.TODO(),
    "x",
    "x",
    workflows.InstanceGetParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", instance.End)
}
```

200 example

```
{
  "errors": [],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "end": "2019-12-27T18:11:19.117Z",
    "error": {
      "message": "message",
      "name": "name"
    },
    "output": "string",
    "params": {},
    "queued": "2019-12-27T18:11:19.117Z",
    "rollback": {
      "error": {
        "message": "message",
        "name": "name"
      },
      "outcome": "complete"
    },
    "start": "2019-12-27T18:11:19.117Z",
    "status": "queued",
    "step_count": -9007199254740991,
    "steps": [
      {
        "attempts": [
          {
            "end": "2019-12-27T18:11:19.117Z",
            "error": {
              "message": "message",
              "name": "name"
            },
            "start": "2019-12-27T18:11:19.117Z",
            "success": true
          }
        ],
        "config": {
          "retries": {
            "delay": "string",
            "limit": 0,
            "backoff": "constant"
          },
          "timeout": "string",
          "sensitive": "output"
        },
        "end": "2019-12-27T18:11:19.117Z",
        "name": "name",
        "output": "output",
        "start": "2019-12-27T18:11:19.117Z",
        "success": true,
        "type": "step"
      }
    ],
    "success": true,
    "trigger": {
      "source": "unknown"
    },
    "versionId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "schedule": {
      "cron": "cron",
      "scheduledTime": 0
    }
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "end": "2019-12-27T18:11:19.117Z",
    "error": {
      "message": "message",
      "name": "name"
    },
    "output": "string",
    "params": {},
    "queued": "2019-12-27T18:11:19.117Z",
    "rollback": {
      "error": {
        "message": "message",
        "name": "name"
      },
      "outcome": "complete"
    },
    "start": "2019-12-27T18:11:19.117Z",
    "status": "queued",
    "step_count": -9007199254740991,
    "steps": [
      {
        "attempts": [
          {
            "end": "2019-12-27T18:11:19.117Z",
            "error": {
              "message": "message",
              "name": "name"
            },
            "start": "2019-12-27T18:11:19.117Z",
            "success": true
          }
        ],
        "config": {
          "retries": {
            "delay": "string",
            "limit": 0,
            "backoff": "constant"
          },
          "timeout": "string",
          "sensitive": "output"
        },
        "end": "2019-12-27T18:11:19.117Z",
        "name": "name",
        "output": "output",
        "start": "2019-12-27T18:11:19.117Z",
        "success": true,
        "type": "step"
      }
    ],
    "success": true,
    "trigger": {
      "source": "unknown"
    },
    "versionId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "schedule": {
      "cron": "cron",
      "scheduledTime": 0
    }
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}
```